# **************************************************************************** #
#                                                           LE - /             #
#                                                               /              #
#    Makefile                                         .::    .:/ .      .::    #
#                                                  +:+:+   +:    +:  +:+:+     #
#    By: chgaroux <marvin@le-101.fr>                +:+   +:    +:    +:+      #
#                                                  #+#   #+    #+    #+#       #
#    Created: 2018/10/03 11:34:55 by chgaroux     #+#   ##    ##    #+#        #
#    Updated: 2019/06/05 14:14:25 by chgaroux    ###    #+. /#+    ###.fr      #
#                                                          /                   #
#                                                         /                    #
# **************************************************************************** #

NAME = libft.a
PATH_INCLUDES = ./includes/
FILES = ft_abs.c ft_atoi.c ft_atoui.c ft_bzero.c ft_del_content.c ft_isalnum.c\
		ft_isalpha.c ft_isascii.c ft_isdigit.c ft_isprint.c ft_itoa.c\
		ft_listlen.c ft_lstadd.c ft_lstaddlast.c ft_lstdel.c ft_lstdelone.c\
		ft_lstiter.c ft_lstmap.c ft_lstnew.c ft_match.c ft_memalloc.c\
		ft_memccpy.c ft_memchr.c ft_memcmp.c ft_memcpy.c ft_memdel.c\
		ft_memmove.c ft_memset.c ft_new_list.c ft_power.c ft_print_bits.c\
		ft_print_char_tab_fd.c ft_print_hex.c ft_pstrlen.c ft_putchar.c\
		ft_putchar_fd.c ft_putendl.c ft_putendl_fd.c ft_putnbr.c ft_putnbr_fd.c\
		ft_putstr.c ft_putstr_fd.c ft_realloc.c ft_sqrt.c ft_strcat.c ft_strchr.c\
		ft_strclr.c ft_strcmp.c ft_strcpy.c ft_strdel.c ft_strdup.c ft_strequ.c\
		ft_striter.c ft_striteri.c ft_strjoin.c ft_strjoin_free.c ft_strjoin_tab.c\
		ft_strlcat.c ft_strlen.c ft_strmap.c ft_strmapi.c ft_strncat.c ft_strncmp.c\
		ft_strncpy.c ft_strndup.c ft_strnequ.c ft_strnew.c ft_strnlen.c ft_strnstr.c\
		ft_strrchr.c ft_strsplit.c ft_strstr.c ft_strsub.c ft_strtrim.c ft_swap_ptr.c\
		ft_tolower.c ft_toupper.c ft_strclen.c ft_structcmp.c
SRCS = $(FILES)
OBJ = $(FILES:.c=.o)
HEADERS_FILES = libft.h styles.h
HEADERS = $(addprefix $(PATH_INCLUDES),$(HEADERS_FILES))
FLAGS = -Wall -Wextra -Werror

all: $(NAME)

%.o: %.c $(HEADER)
			gcc $(FLAGS) -c -I $(PATH_INCLUDES) -o $@ $<

$(NAME): $(OBJ)
	ar vrus $(NAME) $(OBJ)

clean:
	/bin/rm -f $(OBJ)

fclean: clean
	/bin/rm -f $(NAME)

re: fclean all
